[Unit]
Description=Bind mount volatile /etc/systemd/timesyncd.conf
DefaultDependencies=false
Before=local-fs.target
RequiresMountsFor=/tmp /etc/systemd
ConditionPathIsReadWrite=/tmp
ConditionPathExists=/etc/systemd/timesyncd.conf
ConditionPathIsReadWrite=!/etc/systemd/timesyncd.conf

[Service]
Type=oneshot
RemainAfterExit=Yes
StandardOutput=syslog
TimeoutSec=0
ExecStart=/sbin/mount-copybind /tmp/timesyncd.conf /etc/systemd/timesyncd.conf
ExecStop=/bin/umount /etc/systemd/timesyncd.conf

[Install]
WantedBy=local-fs.target
